gstreamermm: Gst::MessageStreamStatus Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageStreamStatus Class Reference

A stream status message. More...

Inheritance diagram for Gst::MessageStreamStatus:
[legend]
Collaboration diagram for Gst::MessageStreamStatus:
[legend]

List of all members.

## Public Member Functions
| MessageStreamStatus (GstMessage* castitem)
void | set_object (const Glib::RefPtr< Gst::Object >& object)
| Configures the object handling the streaming thread.
Glib::RefPtr< Gst::Object > | get_object () const
| Extracts the object managing the streaming thread from message.
void | parse (Gst::StreamStatusType&type, Glib::RefPtr< Gst::Element >& owner) const
| Extracts the stream status type and owner of the Gst::Message.
Gst::StreamStatusType | parse () const
| Extracts the stream status type.
Glib::RefPtr< Gst::Element > | parse_owner () const
| Extracts the owner of the Gst::Message.
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageStreamStatus > | create (const Glib::RefPtr< Gst::Object >& src, Gst::StreamStatusType type, const Glib::RefPtr< Gst::Element >& owner)
| Create a new stream status message.

## Detailed Description

A stream status message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageStreamStatus::MessageStreamStatus | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageStreamStatus> Gst::MessageStreamStatus::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::StreamStatusType | type,
|  | const Glib::RefPtr< Gst::Element >& | owner
| ) |  | `[static]`

Create a new stream status message.

This message is posted when a streaming thread is created/destroyed or when the state changed.

Parameters:

  src | The object originating the message.
  type | The stream status type.
  owner | The owner element of src.

Returns:
  The new stream status message. MT safe.

Glib::RefPtr<Gst::Object> Gst::MessageStreamStatus::get_object | ( |  | ) | const

Extracts the object managing the streaming thread from message.

Returns:
  The object that manages the streaming thread. The actual object is usually a Gst::Task but other types can be added in the future. The object remains valid as long as the message is valid.

void Gst::MessageStreamStatus::parse | ( | Gst::StreamStatusType& | type,
|  | Glib::RefPtr< Gst::Element >& | owner
| ) |  | const

Extracts the stream status type and owner of the Gst::Message.

The returned owner remains valid for as long as the reference to the message is valid.

MT safe.

Parameters:

  type | A reference to hold the status type.
  owner | A reference to hold the owner Gst::Element.

Since 0.10.24.

Gst::StreamStatusType Gst::MessageStreamStatus::parse | ( |  | ) | const

Extracts the stream status type.

MT safe.

Returns:
  The stream status type.

Since 0.10.24.

Glib::RefPtr<Gst::Element> Gst::MessageStreamStatus::parse_owner | ( |  | ) | const

Extracts the owner of the Gst::Message.

The returned owner remains valid for as long as the reference to the message is valid.

MT safe.

Returns:
  The owner Gst::Element.

Since 0.10.24.

void Gst::MessageStreamStatus::set_object | ( | const Glib::RefPtr< Gst::Object >& | object | ) |

Configures the object handling the streaming thread.

This is usually a Gst::Task object but other objects might be added in the future.

Parameters:

  object | The object controlling the streaming.

Since 0.10.24.

The documentation for this class was generated from the following file:

- gstreamermm/message.h